%global debug_package %{nil}
%global _missing_build_ids_terminate_build 0
#
# spec file for package lego
#
Name:           lego
Version:        4.23.1
Release:        1%{?dist}
Summary:        Let's Encrypt and ACME client and library written in Go
License:        MIT
URL:            https://github.com/go-acme/lego
Packager:       Teddysun <i@teddysun.com>
Source:         https://github.com/go-acme/lego/archive/refs/tags/v%{version}.tar.gz#/lego-%{version}.tar.gz

%description
Let's Encrypt client and ACME library written in Go.
- ACME v2 RFC 8555
    Support RFC 8737: TLS Application‑Layer Protocol Negotiation (ALPN) Challenge Extension
    Support RFC 8738: certificates for IP addresses
    Support draft-ietf-acme-ari-03: Renewal Information (ARI) Extension
    Support draft-aaron-acme-profiles-00: Profiles Extension
- Comes with about 150 DNS providers
- Register with CA
- Obtain certificates, both from scratch or with an existing CSR
- Renew certificates
- Revoke certificates
- Robust implementation of ACME challenges:
    HTTP (http-01)
    DNS (dns-01)
    TLS (tls-alpn-01)
- SAN certificate support
- CNAME support by default
- Custom challenge solvers
- Certificate bundling
- OCSP helper function

%prep
%setup -q -n %{name}-%{version}

%build
env CGO_ENABLED=0 go build -v -trimpath -ldflags "-X main.version=v%{version} -s -w -buildid=" -o ./bin/lego ./cmd/lego

%install
# install binary
install -D -p -m 0755 bin/lego %{buildroot}%{_bindir}/lego

%files
%license LICENSE
%doc docs CHANGELOG.md CONTRIBUTING.md README.md
%{_bindir}/lego

%changelog
* Mon May 05 2025 Teddysun <i@teddysun.com> - 4.23.1-1
- Update to version 4.23.1
